Create mandate
BearerAuthorizationBearer <JWT>Bearer token using a JWT.
Idempotency-Key*stringIt helps preventing duplicates in your POST requests.
It is recommend using a UUID for the key, however you may use any other unique identifier you choose.
length <= 64X-Volt-Initiation-Channel*"hosted"Channel used for setup/processing flow.
"hosted"X-Volt-Api-Version*1Version of the API used. Currently, version 1 is the only version.
1application/json- body
PayTo mandate creation request body.
currency*"AUD"Payment currency. ISO 4217 format (3 uppercase letters).
"AUD"system*"PAY_TO"Mandate system.
"PAY_TO"mode*ModeEnumMandate usage mode.
"ONE_OFF""RECURRING"purpose*"OTHER"Purpose of the mandate.
"OTHER"internalReference?stringYour internal identifier for this mandate.
^[a-zA-Z0-9!@#$%^&*()_+=\[\]{};:?|\-]*$length <= 100mandateReference?stringUnique reference for the mandate from the partner's system. Reference must contain only alphanumeric characters.
If value is not provided, it will be generated by Volt.
^[a-zA-Z0-9]{1,18}$length <= 18payer*Payer (debtor) details.
validity?Mandate validity period.
payTo*PayTo-specific configuration.
device?Payer"s device information.
communication*Partner communication settings.
Created - Mandate request created.
application/json- response
PayTo mandate details.
id*stringMandate identifier.
uuidcurrency*"AUD"Payment currency. ISO 4217 format (3 uppercase letters).
"AUD"system*"PAY_TO""PAY_TO"mode*ModeEnumMandate usage mode.
"ONE_OFF""RECURRING"purpose*"OTHER"Purpose of the mandate.
"OTHER"mandateReference*stringMandate reference provided by the partner (or generated by Volt).
internalReference*string|nullpayer*Payer (debtor) details.
beneficiary?Beneficiary (creditor) details.
validity?Mandate validity period. Dates are always returned in RFC3339 format (YYYY-MM-DDThh:mm:ss±hh:mm).
payTo?PayTo-specific configuration.
status?Mandate status.
mandateSetupFlow?Mandate setup flow. Drives the authorisation process.
curl -X POST 'https://gateway.sandbox.volt.io/mandates' \ -H 'Idempotency-Key: string' \ -H 'X-Volt-Initiation-Channel: hosted' \ -H 'X-Volt-Api-Version: 1' \ -H 'Content-Type: application/json' \ -d '{ "currency": "AUD", "system": "PAY_TO", "mode": "RECURRING", "purpose": "OTHER", "internalReference": "H35X48Y4FWOD6G3S", "mandateReference": "T1Qwerty", "payer": { "reference": "JDOE-101" }, "validity": { "from": "2026-03-01 00:00:00" }, "payTo": { "accountIdentifiers": { "accountName": "John Doe", "payId": "john@doe.com", "payIdType": "EMAIL" }, "limits": { "periodic": { "period": "MONTH", "maxPaymentsCount": 3 }, "payment": { "maxAmount": 70000 } }, "description": "Coffee subscription #123123" }, "device": { "ip": "192.168.0.1", "userAgent": "Mozilla/5.0 (Macintosh; Intel Mac OS X x.y; rv:42.0) Gecko/20100101 Firefox/42.0", "fingerprint": "2aae6c35c94fcfb415dbe95f408b9ce91ee846ed" }, "communication": { "notifications": { "url": "https://example.com/notifications" }, "return": { "urls": { "unified": { "url": "https://example.com/process" } } } }}'{ "id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890", "currency": "AUD", "system": "PAY_TO", "mode": "RECURRING", "purpose": "OTHER", "mandateReference": "T1Qwerty", "internalReference": "H35X48Y4FWOD6G3S", "payer": { "reference": "JDOE-101", "firstName": null, "lastName": null, "email": null, "accountIdentifiers": { "accountName": "John Doe", "payId": "john@doe.com", "payIdType": "EMAIL" } }, "beneficiary": { "name": "Jane Doe" }, "validity": { "from": "2026-03-01 00:00:00", "to": null }, "payTo": { "accountIdentifiers": { "accountName": "John Doe", "payId": "john@doe.com", "payIdType": "EMAIL" }, "limits": { "periodic": { "period": "MONTH", "maxPaymentsCount": 3 }, "payment": { "maxAmount": 70000 } }, "description": "Coffee subscription #123123" }, "device": { "ip": "192.168.0.1", "userAgent": "Mozilla/5.0 (Macintosh; Intel Mac OS X x.y; rv:42.0) Gecko/20100101 Firefox/42.0", "fingerprint": "2aae6c35c94fcfb415dbe95f408b9ce91ee846ed" }, "status": { "status": "AWAITING_AUTHORISATION", "details": null }, "mandateSetupFlow": { "status": "PROCESSING" }}